For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

List Companies

GET
https://api-b2b.bigcommerce.com/api/v3/io/companies
GET
/api/v3/io/companies
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/companies \
> -H "X-Auth-Token: <apiKey>" \
> -d limit=10 \
> -d offset=3 \
> -d minModified=1618794615 \
> -d maxModified=1618794615 \
> -d minCreated=1618794615 \
> -d maxCreated=1618794615 \
> -d isIncludeExtraFields=0 \
> --data-urlencode "q=Great Buys" \
> --data-urlencode "extraFields=Customer Tax Code:G,FinTech Enabled:Yes" \
> -d orderId=102 \
> -d bcGroupId=123 \
> -d customerId=123456 \
> -d extraFieldFilterType=exact-match
200Retrieved
1{
2 "code": 1.1,
3 "data": [
4 {
5 "companyId": 123456,
6 "catalogId": "123456",
7 "catalogName": "string",
8 "bcGroupName": "Tier 3 B2B Clients",
9 "companyStatus": "1",
10 "parentCompany": {
11 "id": 123456,
12 "name": "Great Buys Inc"
13 },
14 "priceListAssign": [
15 {
16 "channelId": 10001234,
17 "priceListId": 123456,
18 "priceListName": "Tier 3 B2B Pricing",
19 "channelName": "My BigCommerce Store"
20 }
21 ],
22 "extraFields": [
23 {
24 "fieldName": "Customer Tax Code",
25 "fieldValue": "Code G",
26 "labelName": "Customer Tax Code",
27 "isRequired": "0",
28 "dataType": "0",
29 "fieldType": 1
30 }
31 ],
32 "uuid": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
33 "updatedAt": "1618794615",
34 "createdAt": "1618794615",
35 "bcGroupId": 123,
36 "companyName": "Great Buys Inc.",
37 "companyEmail": "admin@greatbuys.com",
38 "companyPhone": "8001234567"
39 }
40 ],
41 "meta": {
42 "message": "string",
43 "pagination": {
44 "totalCount": 1,
45 "limit": 1,
46 "offset": 1
47 }
48 }
49}

Returns a list of all Company accounts, sorted by companyId from highest to lowest by default. Pass optional parameters to modify the results.

Was this page helpful?
Previous

Company Management

Next

Create Company

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

minModifieddoubleOptional
The earliest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
maxModifieddoubleOptional
The latest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
minCreateddoubleOptional
The earliest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
maxCreateddoubleOptional
The latest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
sortByenumOptionalDefaults to updatedAt
Sorts results by Company name or last updated date, defaulting to the last updated date if no parameter is provided.
Allowed values:
orderByenumOptionalDefaults to DESC
Establish a descending or ascending order of results. The order defaults to descending if the parameter is not included.
Allowed values:
isIncludeExtraFieldsenumOptionalDefaults to 0

Indicates whether or not the response will include Company extra fields. If the parameter is not included, the response will exclude extra fields by default.

A value of 0 will exclude extra fields, while a value of 1 will include them.

Allowed values:
companyStatusenumOptional

The Company’s activity status. See Company Status Codes to learn about their corresponding statuses.

Allowed values:
qstringOptional
Enter a Company name to return partial and exact matches.
extraFieldslist of stringsOptional
Use this array to filter results by an extra field name-value pair. Exact usage is formatted as `?extraFields=name:value`. Including this filter returns any Company account where the extra field `name` contains `value`. To search on more than one extra field, the parameter may be repeated to capture more specific instances such as `?extraFields=name1:value1&extraFields=name2,value2`, which will return all Companies where the extra fields `name1` and `name2` contain `value1` and `value2`, respectively.
bcOrderIdintegerOptional
The ID of a BigCommerce order placed by a particular Company account.
orderIdstringOptional
The ID of a BigCommerce order placed by a particular Company account.
bcGroupIdstringOptional
The ID of the BigCommerce customer group assigned to the Company account.
customerIdintegerOptional
The ID of a BigCommerce customer account with a corresponding Company user account.
extraFieldFilterTypeenumOptionalDefaults to search

Establishes how results are filtered when using the extraFields parameter. The search filter type allows for partial matches, while the exact-match filter type only returns results that exactly match the specified criteria.

The filter type defaults to search when no parameter is provided.

Allowed values:

Response

OK
codedouble
datalist of objects
metaobject
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

The earliest Unix timestamp that can be returned for a modified Company account.

The latest Unix timestamp that can be returned for a modified Company account.

The earliest Unix timestamp that can be returned for a modified Company account.

The latest Unix timestamp that can be returned for a modified Company account.

Use this array to filter results by an extra field name-value pair.

Exact usage is formatted as ?extraFields=name:value. Including this filter returns any Company account where the extra field name contains value. To search on more than one extra field, the parameter may be repeated to capture more specific instances such as ?extraFields=name1:value1&extraFields=name2,value2, which will return all Companies where the extra fields name1 and name2 contain value1 and value2, respectively.